gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.ShortcutManager

Contents

- Exported types
- Methods

Description

An interface that is used to implement shortcut scopes.

This is important for `Native` widgets that have their own surface, since the event controllers that are used to implement managed and global scopes are limited to the same native.

Examples for widgets implementing `GtkShortcutManager` are `Window` and `Popover`.

Every widget that implements `GtkShortcutManager` will be used as a `GTK_SHORTCUT_SCOPE_MANAGED`.

Synopsis

- newtype ShortcutManager = ShortcutManager (ManagedPtr ShortcutManager)
- class (GObject o, IsDescendantOf ShortcutManager o) => IsShortcutManager o
- toShortcutManager :: (MonadIO m, IsShortcutManager o) => o -> m ShortcutManager

# Exported types

newtype ShortcutManager Source #

Memory-managed wrapper type.

Constructors

ShortcutManager (ManagedPtr ShortcutManager) |

#### Instances

Instances details

Eq ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager Methods (==) :: ShortcutManager -> ShortcutManager -> Bool Source # (/=) :: ShortcutManager -> ShortcutManager -> Bool Source #
GObject ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager
ManagedPtrNewtype ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager Methods toManagedPtr :: ShortcutManager -> ManagedPtr ShortcutManager Source #
TypedObject ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager Methods glibType :: IO GType Source #
HasParentTypes ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager
IsGValue (Maybe ShortcutManager) Source # | Convert `ShortcutManager` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ShortcutManager -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ShortcutManager) Source #
type ParentTypes ShortcutManager Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager type ParentTypes ShortcutManager = '[Object]

class (GObject o, IsDescendantOf ShortcutManager o) => IsShortcutManager o Source #

Type class for types which can be safely cast to `ShortcutManager`, for instance with `toShortcutManager`.

#### Instances

Instances details

(GObject o, IsDescendantOf ShortcutManager o) => IsShortcutManager o Source # |
Instance details Defined in GI.Gtk.Interfaces.ShortcutManager

toShortcutManager :: (MonadIO m, IsShortcutManager o) => o -> m ShortcutManager Source #

Cast to `ShortcutManager`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.